%global srcname pytest-benchmark
 
Name:			python-%{srcname}
Version:		4.0.0
Release:		1
Summary:		A py.test fixture for benchmarking code
License:		BSD
URL:			https://pytest-benchmark.readthedocs.io
Source:			https://github.com/ionelmc/%{srcname}/archive/v%{version}/%{srcname}-%{version}.tar.gz
BuildArch:		noarch
BuildRequires: 	python3-devel
BuildRequires: 	python3-setuptools

%global _description\
This plugin provides a benchmark fixture. This fixture is a callable object\
that will benchmark any function passed to it.\
\
Notable features and goals:\
\
  - Sensible defaults and automatic calibration for microbenchmarks\
  - Good integration with pytest\
  - Comparison and regression tracking\
  - Exhausive statistics\
  - JSON export
 
%description %_description

%package -n python3-%{srcname}
Summary: %summary
Provides: python3-%{srcname} = %{version}-%{release}
Requires: python3-pytest
Requires: python3-pycpuinfo
 
%description -n python3-%{srcname} %_description

%prep
%autosetup -n %{srcname}-%{version}
 
%build
%py3_build

%install
%py3_install

%files -n python3-%{srcname}
%doc README.rst CHANGELOG.rst CONTRIBUTING.rst AUTHORS.rst
%license LICENSE
%{_bindir}/py.test-benchmark
%{_bindir}/pytest-benchmark
%{python3_sitelib}/pytest_benchmark
%{python3_sitelib}/pytest_benchmark-%{version}-py*.egg-info
 
%changelog
* Mon Jun 5 2023 chaozhangm <chaozhangm@isoftstone.com> - 4.0.0-1
- Initial RPM release
